Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class CivilStateResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.CivilStateResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class CivilStateResponseType

extends Object
implements Serializable

information about the civilstate of a person (include information about the partner)

Java class for CivilStateResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CivilStateResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CivilStateCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CivilStateDescription" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Partner" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PartnerType" minOccurs="0"/>
             <element name="Location" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereResponseType" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CivilStateResponseType()`

Method Summary
`String` | `getCivilStateCode()` Gets the value of the civilStateCode property.
`List<NameType>` | `getCivilStateDescriptions()` Gets the value of the civilStateDescriptions property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`WhereResponseType` | `getLocation()` Gets the value of the location property.
`PartnerType` | `getPartner()` Gets the value of the partner property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setCivilStateCode(String value)` Sets the value of the civilStateCode property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setLocation(WhereResponseType value)` Sets the value of the location property.
`void` | `setPartner(PartnerType value)` Sets the value of the partner property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CivilStateResponseType

    public CivilStateResponseType()

Method Detail

### getCivilStateCode

    public String getCivilStateCode()

  Gets the value of the civilStateCode property.

  Returns:
    possible object is `String`

### setCivilStateCode

    public void setCivilStateCode(String value)

  Sets the value of the civilStateCode property.

  Parameters:
    `value` - allowed object is `String`

### getCivilStateDescriptions

    public List<NameType> getCivilStateDescriptions()

  Gets the value of the civilStateDescriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the civilStateDescriptions property.

  For example, to add a new item, do as follows:

          getCivilStateDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getPartner

    public PartnerType getPartner()

  Gets the value of the partner property.

  Returns:
    possible object is `PartnerType`

### setPartner

    public void setPartner(PartnerType value)

  Sets the value of the partner property.

  Parameters:
    `value` - allowed object is `PartnerType`

### getLocation

    public WhereResponseType getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `WhereResponseType`

### setLocation

    public void setLocation(WhereResponseType value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `WhereResponseType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.